While multiple browsers are supported, we recommend using the latest version of Google Chrome for the smoothest possible Precisely experience.

Supported browsers and versions

  • Google Chrome (v.50+)

  • Mozilla Firefox (v.44+)

  • Microsoft Edge (v.15+)

  • Opera (v.40+)

  • Safari (v.9+)

Note: Internet Explorer is no longer supported since its discontinuation.

Precisely also supports limited functionality, such as signing, through mobile browsers.

  • iOS 13

  • Android 10

Did this answer your question?